﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  public abstract class EquidistantTimeSeriesCommandBase : ColumnGroupCommandBase {
    private EquidistantTimeSeriesCommandBase()
      : base(null, string.Empty) {
    }

    public EquidistantTimeSeriesCommandBase(DataSet dataSet, string columnGroupName)
      : base(dataSet, columnGroupName) {
    }

    [Storable]
    private DateTimeSpan sampleFrequency;
    public DateTimeSpan SampleFrequency {
      get { return this.sampleFrequency; }
      set { this.sampleFrequency = value; }
    }

    [Storable]
    private DateTime startTime;
    public DateTime StartTime {
      get { return this.startTime; }
      set { this.startTime = value; }
    }
  }
}
